<? include('header.php');

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}
$user=text($_SESSION["username"]);

  $sql = "SELECT referer FROM tb_users WHERE username='$user'"; // вытаскиваем реферала своего
  $res = mysql_query($sql);
  $row = mysql_fetch_assoc($res);
  $referer_user=$row["referer"];

  $res=mysql_query("select username from tb_users where user_status='admin' order by id asc"); // ташем ник админа
  $res=mysql_fetch_assoc($res);
  $admin=$res["username"];
?>
<div class="menucenter">
 <script type="text/javascript" src="/js/jquery.autogrow.js"></script>
 <script type="text/javascript" language="JavaScript">
            $(document).ready(function(){
                $('textarea.expanding').autogrow({
                    maxHeight: 650,
                    minHeight: 100
                    //lineHeight: 16
                });
            })
            function ClearForm()
            {
                var stitle = "";
                document.forms['mailform'].ask_title.value = stitle;
                document.forms['mailform'].ask_desc.value = '';
                document.forms['mailform'].ask_desc.style.height = '100px';
                document.forms['mailform'].scount.value = 'Осталось 1000 символов';
            }
            function descchange(elem)
            {
                if (elem.value.length > 1000) {
                    elem.value = elem.value.substr(0,1000);
                }
                document.forms['mailform'].scount.value = 'Осталось '+(1000-elem.value.length)+' символов';
            }
            function gokorr(mid)
            {
                top.location = '/mailnew.php?name='+mid;
                return false;
            }
        </script>
<h2>Внутренняя почта (Новое сообщение)</h2>
<p align="justify">Пожалуйста, не используйте СПАМ, нецензурную лексику и не оскорбляйте участников проекта. Так же запрещено использовать почту в рекламных целях. По правилам проекта, Администрация имеет право просматривать сообщения и наказывать нарушителей. </p>
 <center>
 <table width="550px" border="0" cellpadding="0" cellspacing="0"><tbody>
 <tr>
    <td width="25%" align="left" style="padding:3px;margin:3px;">
<div class='menucenter'>
      <span class="corr1" onclick="javascript:gokorr('administration');"><b>Техподдержка</b><br>Cashid.ru</span>
    </div>
</td>   
 <td width="25%" align="left" style="padding:3px;margin:3px;">
<div class='menucenter'>
      <span class="corr1" onclick="javascript:gokorr('administration');"><b>Модератор</b><br>Cashid.ru</span>
       </div> </td>
    <td align="left" style="padding:3px;margin:3px;">
<div class='menucenter'>
      <?

        if($referer_user=='') echo '<span class="corr4"><b>Мой реферер</b><br>Отсутствует</span>';
        else echo '<span class="corr1" onclick="javascript:gokorr(\''.$referer_user.'\');"><b>Мой реферер</b><br>Имя: '.$referer_user.'</span>';
      ?>
       </div> </td>
    <td width="25%" align="left" style="padding:3px;margin:3px;">
<div class='menucenter'>
      <span class="corr1" onclick="javascript:gokorr('');"><b>Пользователь</b><br>Cashid.ru</span>
        </div></td>
 </tr>
 </tbody>
</table>
</center>
<?

  if(isset($_POST["mailto"])) // Отправка письма
  {
    $mailto=text($_POST["mailto"]);
    $ask_title=text($_POST["ask_title"]);
    $ask_desc=text($_POST["ask_desc"]);
    $data=time();

    $res=mysql_query("select count(id) as kolvo from tb_users where username='$mailto'");
	  $res=mysql_fetch_assoc($res);

	  if($res["kolvo"]>0)
      {
        if($user!==$mailto)
        {
          if($ask_title!='')
          {
            if($ask_desc!='')
            {
              if($_SESSION['cnt']==$_POST["cnt"])
               {
                 mysql_query("insert into tb_mail (sender,recipient,subject,message,data) values ('$user','$mailto','$ask_title','$ask_desc','$data')");
                 echo "<div class='good'>Сообщение успешно отправлено</div>";
               }
               else
               {
                  echo "<div class='error'>Нельзя отправлять одни и теже сообщения многократно!</div>";
               }
            }else{
              echo "<div class='error'>Вы не ввели текст сообщения</div>";
            }
          }else{
            echo "<div class='error'>Вы не указали тему сообщения</div>";
          }
        }else{
          echo "<div class='error'>Нельзя отправлять сообщения самому себе!</div>";
        }
      }else{
        echo "<div class='error'>Ошибка! Пользователя с именем ".$mailto." не существует!</div>";
      }
  }

  $mailto='';
  if(isset($_GET["name"]))
  {
    $mailto=text($_GET["name"]);
  }
?>
 <form name="mailform" method="post" action="/mailnew.php">
  <table class="profile" style="margin-bottom: 0pt;" width="100%" border="0" cellpadding="0" cellspacing="0"><tbody>
    <tr>
      <td width="30%"><b>Логин получателя</b></td>
      <td class="value">

      <?
      // Защита от СПАМа многократного отправки сообщений =========================================================================================
      $cnt=md5(time());
      echo '<input name="cnt" value="'.$cnt.'" type="hidden">';
      $_SESSION['cnt']=$cnt;
      // ==========================================================================================================================================
      if($mailto==$admin) echo '<b>Служба технической поддержки Cashid.ru</b><input name="mailto" value="'.$admin.'" type="hidden">';
      else
if($mailto==porezon) echo '<b>Модератор Almazz-Bux.info</b><input name="mailto" value="porezon" type="hidden">';
      elseif($mailto==$referer_user&&$referer_user!='') echo '<b>Реферер: </b>'.$referer_user.'<input name="mailto" value="'.$referer_user.'" type="hidden">';
      else echo '<input id="acpro_inp2" class="val" name="mailto" maxlength="25" value="'.$mailto.'" style="width: 230px;" type="text">&nbsp;&nbsp';
      ?>
      </td>
      </tr>
      <tr>
       <td>Тема письма</td>
       <td class="value"><input id="acpro_inp3" class="val" name="ask_title" maxlength="60" value="" type="text"></td>
      </tr>
      <tr>
       <td>Содержание письма &darr;</td>
       <td><input id="acpro_inp4" class="scount" name="scount" size="25" maxlength="25" value="Осталось 1000 символов" readonly="readonly" type="text">
       </td>
      </tr>
    <tr>
      <td class="value" colspan="2">
      <textarea style="overflow: hidden; display: block; height: 100px;" class="expanding" cols="40" rows="3" name="ask_desc" onkeyup="descchange(this);"></textarea>
      </td>
    </tr>
    </tbody>
    </table>
    <div class="centerbtn">
       <input class="ok_wm" name="submit" value="Отправить" type="submit">
    </div>
</form>
<? include('footer.php'); ?>